Bug 314392 - Position rule conflicts with maximization rule
Summary: Position rule conflicts with maximization rule
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: rules (show other bugs)
Version: git master
Platform: Other Other
: NOR normal (vote)
Target Milestone: 4.11
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-04 01:32 UTC by Thomas Lübking
Modified: 2013-02-25 06:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lübking 2013-02-04 01:32:41 UTC
A window with fixed position is not maximizable, so once this is evaluated, the maximization function takes a short exit.

This is not necessarily correct or obvious for partial maximization and / or a "0" position on the non fixed axis.

Possible resolution would be to allow maximization with constrained position (hardcoding NW or actually considering gravity)

Reproducible: Always
Comment 1 Thomas Lübking 2013-02-18 21:48:20 UTC
Git commit b69e83f900da8b18ab9dc03f333a8b3ab22d0de8 by Thomas Lübking.
Committed on 04/02/2013 at 21:21.
Pushed by luebking into branch 'master'.

Permit maximization of windows with fixed position

A window can be "maximized" despite it's position is fixed.
Most obvioulsy for a corresponding of "0", but also in other
cases. The window can still be resized, some size is the
maximum one and there's no reason to prevent the shortcut of
this state.
REVIEW: 108789
FIXED-IN: 4.11

M  +14   -8    kwin/geometry.cpp

http://commits.kde.org/kde-workspace/b69e83f900da8b18ab9dc03f333a8b3ab22d0de8